Skip to main content
POST
/
projects
Create Project Endpoint
curl --request POST \
  --url https://backend.overtenai.com/api/v1/projects \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ],
  "color": "<string>",
  "icon": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Body

application/json
name
string
required
Required string length: 1 - 200
description
string | null
Maximum string length: 2000
tags
string[] | null
Maximum array length: 20
color
string | null
Maximum string length: 32
icon
string | null
Maximum string length: 64

Response

Successful Response